<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<!--
Copyright 2007, Google Inc.

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, 
    this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.
 3. Neither the name of Google Inc. nor the names of its contributors may be
    used to endorse or promote products derived from this software without
    specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF 
ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->

<html>
  <head>
    <title>Resources and Tools</title>
    <link rel="stylesheet" type="text/css" href="gears.css" />
  </head>

<body>

<h1>Resources and Tools</h1>

<div id="pagecontent">

<p>This page contains  resources that you can include in your application, and debugging tools to help while you're developing your application using Google Gears. </p>
<h1><a name="gears_init" id="gears_init"></a>Resources</h1>
<h2>The gears_init.js source file </h2>
<p>Always include the gears_init.js file in your application to get access to the Google Gears factory and APIs. Save the file using the link below. 
<div class="linkbox">
  <div align="center"><a href="gears_init.js">Get gears_init.js</a></div>
</div></p>

<a name="samples_and_tools" id="samples_and_tools"></a>
<p>The <code>google.gears.factory</code> is the only supported method to access
GearsFactory. The way Google Gears is exposed in the browser could change in
the future, but we will always support the <code>google.gears.factory</code>
object.</p>

<h2>Samples and Tools download</h2>

<p>All of the sample applications and the tools described below are found in
the zip file provided here. Download the file to your computer and unzip it to
access the files.</p>

<p><div class="linkbox">
  <div align="center"><a href="GoogleGears_SamplesAndTools.zip">Download Samples and Tools  </a></div>
</div></p>

<h1>Tools</h1>

<p>Like all Gears applications, tools can only examine the database within their own domain. To examine your application's database, you must copy the tool into your application and load it from within the same domain as the application.</p>

<p class="note"><span style="color:red">Note:</span> To use these tools,
download the Samples and Tools zip file above, then copy the tools into your
application.</p>

<p>&nbsp;</p>
<h2>Database Query Tool</h2>
<p>The database query tool allows you to run SQL queries interactively against a Gears database. Run this tool from the same domain as the database you wish to inspect. </p>
<p>
  <strong>Location in the sdk:</strong> <code>/sdk/tools/dbquery.html</code></p>
<p>&nbsp;</p>

<h2>LocalServer Inspector</h2>
<p>Inspect the contents of the <a href="api_localserver.html">LocalServer</a>, capture URLs,
and test <a href="api_localserver.html#ManagedResourceStore">ManagedResourceStores</a>.</p>
<p>
  <strong>Location in the sdk:</strong> <code>/sdk/tools/webcachetool.html</code></p>
<p>&nbsp;</p>
<p class="note"><b>Testing Tip:</b> When testing your app, be sure to clear your browser cache often! </p>


</div>
</body>
</html>
